RK-J - Feature #3356

Copilot - Reduce flicker during Link Expansion - phase 1
01/03/2024 02:39 PM - Ram Kordale

Status: Review Start date: 01/03/2024
Priority: Urgent Due date:

Assignee: Venmuhilan B % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

Today, we show links on single lines until the user hovers over them. When the user hovers, we expand it. While expanding, we do
the following (a) make the line wider (b) create an additional line to accommodate overflowing characters.

This causes quite jarring flickers.

In phase 1, let us do the following:

i. expand only if user hovers for X ms (X to be figured by trial and error such that if a user is moving the mouse over all the links, it
shall not be expanded)

ii. once expanded, do not collapse until the copilot is minimized.

If this does not make the flicker better enough, we can refine this solution further.

History

#1 - 01/03/2024 05:14 PM - Ram Kordale

- Description updated

#2 - 01/12/2024 05:18 AM - Ram Kordale

- Assignee changed from Ayanava Karmakar to Md Shahzar

#3 - 01/12/2024 05:55 AM - Md Shahzar

- Status changed from New to In Progress

#4 - 01/15/2024 09:15 AM - Md Shahzar
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#5 - 01/15/2024 09:20 AM - Md Shahzar
- Status changed from Resolved to Review

- Assignee changed from Md Shahzar to Venmuhilan B
